Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » B3 » Possible to ignore conflicting dependencies?(Cannot create an update site with two conflicting plugins)
icon4.gif  Possible to ignore conflicting dependencies? [message #822283] Fri, 16 March 2012 12:14 Go to next message
Fredrik Lindqvist is currently offline Fredrik Lindqvist
Messages: 11
Registered: November 2009
Junior Member
Hi

I'm trying to create an update site with both IBM ClearTeamExplorer and IBM SCM Adapter on them. Those two will not work together in the same Eclipse instance, that is a known issue. But I cant seem to have them om the same update site either:

Cannot complete the install because of a conflicting dependency.
Only one of the following can be installed at once:
ClearCase Remote Client Import plug-in 7.1.0.v201001271035
(com.ibm.rational.clearcase.ccimport 7.1.0.v201001271035)
IBM Rational® ClearTeam Explorer™ Import plug-in 7.1.0.v20110919_2027
(com.ibm.rational.clearcase.ccimport 7.1.0.v20110919_2027)

If I'm ok with having two features on the same update site that cannot work together, how can I do this? I guess B3 uses P2 to check for compatibility issues and stops if P2 isnt happy. Can that be ignored?

Using B3 version 0.2.0.v20111227-0943
Re: Possible to ignore conflicting dependencies? [message #822314 is a reply to message #822283] Fri, 16 March 2012 13:07 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
Hi Fredrik,

We recently introduced a b3 aggregator feature called "Validation Sets". Each such set must be consistent but the
combination of sets doesn't have to be.

If you have a conflict, then you can try to create more than one such set. Typically, you would create a base set where
there's no conflict and then two sets that inherit the base set. Those sets can then be used to separate out the
components that causes the conflict.

HTH,
Thomas Hallgren


On 03/16/2012 01:14 PM, Fredrik Lindqvist wrote:
> Hi
>
> I'm trying to create an update site with both IBM ClearTeamExplorer and IBM SCM Adapter on them. Those two will not work
> together in the same Eclipse instance, that is a known issue. But I cant seem to have them om the same update site either:
>
> Cannot complete the install because of a conflicting dependency.
> Only one of the following can be installed at once: ClearCase Remote Client Import plug-in 7.1.0.v201001271035
> (com.ibm.rational.clearcase.ccimport 7.1.0.v201001271035)
> IBM Rational® ClearTeam Explorer™ Import plug-in 7.1.0.v20110919_2027 (com.ibm.rational.clearcase.ccimport
> 7.1.0.v20110919_2027)
>
> If I'm ok with having two features on the same update site that cannot work together, how can I do this? I guess B3 uses
> P2 to check for compatibility issues and stops if P2 isnt happy. Can that be ignored?
> Using B3 version 0.2.0.v20111227-0943
icon14.gif  Re: Possible to ignore conflicting dependencies? [message #822347 is a reply to message #822314] Fri, 16 March 2012 13:57 Go to previous message
Fredrik Lindqvist is currently offline Fredrik Lindqvist
Messages: 11
Registered: November 2009
Junior Member
Thomas Hallgren wrote on Fri, 16 March 2012 14:07
Hi Fredrik,

We recently introduced a b3 aggregator feature called "Validation Sets". Each such set must be consistent but the
combination of sets doesn't have to be.

If you have a conflict, then you can try to create more than one such set. Typically, you would create a base set where
there's no conflict and then two sets that inherit the base set. Those sets can then be used to separate out the
components that causes the conflict.

HTH,
Thomas Hallgren


Bingo! That solved the problem! Thanks for the quick reply.
Previous Topic:Why are original urls added to available sites when installing from a local mirror
Next Topic:Mirror only required dependencies from a Mapped Repository
Goto Forum:
  


Current Time: Sat Sep 20 14:14:30 GMT 2014

Powered by FUDForum. Page generated in 0.03133 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software